SDL_atan2(3)

NAME
SDL_atan2 - Compute the arc tangent of y / x, using the signs of x and y to adjust the result's quadrant.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

double SDL_atan2(double y, double x);

DESCRIPTION
The definition of z = atan2(x, y) is y = x tan(z), where the quadrant of z is determined based on the signs of x and y.

Domain: -INF <= x <= INF,

-INF <= y <= INF

Range: -Pi <= y <= Pi

This function operates on double-precision floating point values, use SDL_atan2f for single-precision floats.

To calculate the arc tangent of a single value, use SDL_atan.

This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

y   floating point value of the numerator (y coordinate).

x   floating point value of the denominator (x coordinate).

RETURN VALUE
Returns arc tangent of of y / x in radians, or, if x = 0, either -Pi/2,

0, or Pi/2, depending on the value of y.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_atan2f(3), SDL_atan(3), SDL_tan(3)